Timezones

LIST

Returns a collection of time zones.

Examples of fetching a list of time zones

Request

GET /timezones HTTP/1.1

Response

[
    {
      "Europe/Amsterdam (+01:00)": "Europe/Amsterdam"
    },
    {
      "Europe/Andorra (+01:00)": "Europe/Andorra"
    },
    {
      "Europe/Astrakhan (+04:00)": "Europe/Astrakhan"
    },
    {
      "Europe/Athens (+02:00)": "Europe/Athens"
    },
    {
      "Europe/Belgrade (+01:00)": "Europe/Belgrade"
    },
    ...
]

Filtering

You can filter your results as follows:

List time zones for a specified area

  • /timezones?area=Pacific

Available areas

The available areas are: Africa, America, Antarctica, Arctic, Asia, Atlantic, Australia, Europe, Indian, Pacific and UTC

Example of filtered timezone list

Request

GET /timezones?area=Pacific HTTP/1.1

Response

[
    {
        "Pacific/Apia (+13:00)": "Pacific/Apia"
    },
    {
        "Pacific/Auckland (+13:00)": "Pacific/Auckland"
    },
    {
        "Pacific/Bougainville (+11:00)": "Pacific/Bougainville"
    },
    {
        "Pacific/Chatham (+13:45)": "Pacific/Chatham"
    },
    {
        "Pacific/Chuuk (+10:00)": "Pacific/Chuuk"
    },
    {
        "Pacific/Easter (-05:00)": "Pacific/Easter"
    },
    ...
]

Usage

When sending us a request where the timezone is needed, please provide the value of the key.

Example

{
    "timezone": "The value corresponding to the desired key. For example: key: Pacific/Apia (+13:00), value: Pacific/Apia
}